none
.vfproj file unsupported in 2015

    Question

  • I am attempting to open an existing .sln file and when I do, I receive the following notification. 

    Unsupported
    This version of Visual Studio is unable to open the following projects. The project types may not be installed or this version of Visual Studio may not support them. 
    For more information on enabling these project types or otherwise migrating your assets, please see the details in the "Migration Report" displayed after clicking OK.
    - \RFRO.vfproj"


    No changes required
    These projects can be opened in Visual Studio 2015, Visual Studio 2013, Visual Studio 2012, and Visual Studio 2010 SP1 without changing them.
    - \RFRO.sln"

    I am currently running Microsoft Visual Studio Professional 2015. I tried installing the Microsoft Visual Studio 2015 Installer Projects and I am still receiving the same error.

    Thursday, May 26, 2016 5:28 PM

Answers

  • Hi KLW1974,

    Thank you for posting in MSDN forum.

    Based on you tried to open .vfproj file, here is Fortran Integration prerequisite requirements Visual Studio:

    Intel Visual Fortran 10.0, Visual Studio versions 2003 and 2005 are supported.

    Intel Visual Fortran 10.1 (10.1.019 or later), 11.0 or 11.1, Visual Studio versions  2003, 2005 and 2008 are supported.

    Intel Visual Fortran Composer XE 2011 (compiler version 12.0 or 12.1), Visual Studio versions 2005, 2008 and 2010 are supported.

    Intel Visual Fortran Composer XE 2013 (compiler version 13.0 and 13.1), Visual Studio versions 2008, 2010 and 2012 are supported.

    Intel Visual Fortran Composer XE 2013 SP1 (compiler version 14.0), Visual Studio versions 2008, 2010, 2012 and 2013 are supported. (VS2013 support was added in Composer XE 2013 SP1 Update 1.)

    Intel Parallel Studio XE 2015 (compiler version 15.0), Visual Studio versions 2010, 2012 and 2013 are supported. In addition, Intel Parallel Studio XE 2015 Update 4 adds support for Visual Studio 2015.

    Intel Parallel Studio 2016 (compiler version 16.0), Visual Studio versions 2010, 2012, 2013 and 2015 are supported.

    Reference:

    https://software.intel.com/en-us/articles/troubleshooting-fortran-integration-issues-with-visual-studio

    You could compare The project edition you opened with the above match requirements to see if the VS does really support.

    If it doesn’t meet the requirement, you may need to change to open the file with other VS version that support your vf project.

    Disclaimer: This response contains a reference to a third party World Wide Web site. Microsoft is providing this information as a convenience to you. Microsoft does not control these sites and has not tested any software or information found on these sites; therefore, Microsoft cannot make any representations regarding the quality, safety, or suitability of any software or information found there. There are inherent dangers in the use of any software found on the Internet, and Microsoft cautions you to make sure that you completely understand the risk before retrieving any software from the Internet

    Best Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.

    Click HERE to participate the survey.

    Friday, May 27, 2016 7:54 AM
    Moderator